VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Typedefs | Enumerations
ivstnoteexpression.h File Reference
`#include "pluginterfaces/base/funknown.h"`
`#include "pluginterfaces/vst/vsttypes.h"`
`#include "pluginterfaces/base/falignpush.h"`
`#include "pluginterfaces/base/falignpop.h"`

## Classes
struct | NoteExpressionValueDescription
    Description of a Note Expression Type
This structure is part of the NoteExpressionTypeInfo structure, it describes for given NoteExpressionTypeID its default value (for example 0.5 for a kTuningTypeID (kIsBipolar: centered)), its minimum and maximum (for predefined NoteExpressionTypeID the full range is predefined too) and a stepCount when the given NoteExpressionTypeID is limited to discrete values (like on/off state). More...
struct | NoteExpressionValueEvent
| Note Expression Value event. More...
struct | NoteExpressionTextEvent
| Note Expression Text event. More...
struct | NoteExpressionTypeInfo
| NoteExpressionTypeInfo is the structure describing a note expression supported by the plug-in. More...
class | INoteExpressionController
| Extended plug-in interface IEditController for note expression event support: Vst::INoteExpressionController. More...
struct | KeyswitchInfo
    KeyswitchInfo is the structure describing a key switch
This structure is used by the method IKeyswitchController::getKeyswitchInfo. More...
class | IKeyswitchController
| Extended plug-in interface IEditController for key switches support: Vst::IKeyswitchController. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
| All VST specific interfaces are located in Vst namespace.

## Typedefs
typedef uint32 | NoteExpressionTypeID
| Note Expression Types.
typedef double | NoteExpressionValue
| Note Expression Value.
typedef uint32 | KeyswitchTypeID

## Enumerations
enum | NoteExpressionTypeIDs : uint32 { kVolumeTypeID = 0, kPanTypeID, kTuningTypeID, kVibratoTypeID, kExpressionTypeID, kBrightnessTypeID, kTextTypeID, kPhonemeTypeID, kCustomStart = 100000, kCustomEnd = 200000, kInvalidTypeID = 0xFFFFFFFF }
| NoteExpressionTypeIDs describes the type of the note expression. More...
enum | KeyswitchTypeIDs : uint32 { kNoteOnKeyswitchTypeID = 0, kOnTheFlyKeyswitchTypeID, kOnReleaseKeyswitchTypeID, kKeyRangeTypeID }
| KeyswitchTypeIDs describes the type of a key switch. More...

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.